searchData={"items":[{"type":"module","title":"TowerSlack","doc":"Simple post-to-Slack reporter for [Tower](`e:tower:Tower`) error handler.","ref":"TowerSlack.html"},{"type":"module","title":"Example - TowerSlack","doc":"config :tower, :reporters, [TowerSlack]","ref":"TowerSlack.html#module-example"},{"type":"function","title":"TowerSlack.json_module/0","doc":"","ref":"TowerSlack.html#json_module/0"},{"type":"module","title":"TowerSlack.Application","doc":"","ref":"TowerSlack.Application.html"},{"type":"function","title":"TowerSlack.Application.start/2","doc":"","ref":"TowerSlack.Application.html#start/2"},{"type":"module","title":"TowerSlack.KeyCounter","doc":"","ref":"TowerSlack.KeyCounter.html"},{"type":"function","title":"TowerSlack.KeyCounter.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"TowerSlack.KeyCounter.html#child_spec/1"},{"type":"function","title":"TowerSlack.KeyCounter.increment/1","doc":"","ref":"TowerSlack.KeyCounter.html#increment/1"},{"type":"function","title":"TowerSlack.KeyCounter.start_link/1","doc":"","ref":"TowerSlack.KeyCounter.html#start_link/1"},{"type":"extras","title":"README","doc":"# TowerSlack\n\n[![ci](https://github.com/mimiquate/tower_slack/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_slack/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_slack.svg)](https://hex.pm/packages/tower_slack)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_slack)\n\nError tracking and reporting to Slack.\n\nA simple [post-to-Slack](https://api.slack.com/messaging/webhooks) reporter for [Tower](https://github.com/mimiquate/tower) error handler.","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"The package can be installed by adding `tower_slack` to your list of dependencies in `mix.exs`:\n\n```elixir\n# mix.exs\n\ndef deps do\n  [\n    {:tower_slack, \"~> 0.6.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - README","doc":"Register the reporter with Tower.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerSlack\n  ]\n)\n```\n\nAnd make any additional configurations specific to this reporter.\n\n```elixir\n# config/runtime.exs\n\nconfig :tower_slack,\n  otp_app: :your_app,\n  webhook_url: System.get_env(\"TOWER_SLACK_WEBHOOK_URL\"),\n  environment: System.get_env(\"DEPLOYMENT_ENV\", to_string(config_env()))\n```\n\nInstructions to create the Slack Webhook URL in https://api.slack.com/messaging/webhooks.","ref":"readme.html#usage"},{"type":"extras","title":"License - README","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [0.6.1] - 2025-05-03","ref":"changelog.html"},{"type":"extras","title":"Dependencies - Changelog","doc":"- Don't force dependency on `jason` package if Elixir's native `JSON` module is available\n\n## [0.6.0] - 2025-02-19","ref":"changelog.html#dependencies"},{"type":"extras","title":"Added - Changelog","doc":"- Includes `Tower.Event.metadata` value in the message report.","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Slack message format updates to better resemble logger errors and messages format.\n- Updates `tower` dependency from `{:tower, \"~> 0.7.1\"}` to `{:tower, \"~> 0.7.1 or ~> 0.8.0\"}`.\n\n## [0.5.3] - 2024-11-19","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Properly format reported throw value","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- Updates `tower` dependency from `{:tower, \"~> 0.6.0\"}` to `{:tower, \"~> 0.7.1\"}`.\n\n## [0.5.2] - 2024-10-24","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Properly report common `:gen_server` abnormal exits\n\n## [0.5.1] - 2024-10-17","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Changelog","doc":"- [EXPERIMENTAL] Prevent high volume events to spam Slack\n\n## [0.5.0] - 2024-10-07","ref":"changelog.html#added"},{"type":"extras","title":"Added - Changelog","doc":"- Can include less verbose `TowerSlack` as reporter instead of `TowerSlack.Reporter`.","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- No longer necessary to call `Tower.attach()` in your application `start`. It is done\nautomatically.\n\n- Updates `tower` dependency from `{:tower, \"~> 0.5.0\"}` to `{:tower, \"~> 0.6.0\"}`.\n\n## [0.4.0] - 2024-08-22","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - Changelog","doc":"- Updated namespace to avoid clashing with `Tower`:\n  - Changed reporter name from `Tower.Slack.Reporter` to `TowerSlack.Reporter`.\n\n## [0.3.0] - 2024-08-20","ref":"changelog.html#changed"},{"type":"extras","title":"Added - Changelog","doc":"- Bandit support via `tower` update\n- Oban support via `tower` update","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Updates dependency to `{:tower, \"~> 0.5.0\"}`.\n\n## [0.2.0] - 2024-08-16","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - Changelog","doc":"- Updates dependency to `{:tower, \"~> 0.4.0\"}`.\n\n[0.6.1]: https://github.com/mimiquate/tower_slack/compare/v0.6.0...v0.6.1/\n[0.6.0]: https://github.com/mimiquate/tower_slack/compare/v0.5.3...v0.6.0/\n[0.5.3]: https://github.com/mimiquate/tower_slack/compare/v0.5.2...v0.5.3/\n[0.5.2]: https://github.com/mimiquate/tower_slack/compare/v0.5.1...v0.5.2/\n[0.5.1]: https://github.com/mimiquate/tower_slack/compare/v0.5.0...v0.5.1/\n[0.5.0]: https://github.com/mimiquate/tower_slack/compare/v0.4.0...v0.5.0/\n[0.4.0]: https://github.com/mimiquate/tower_slack/compare/v0.3.0...v0.4.0/\n[0.3.0]: https://github.com/mimiquate/tower_slack/compare/v0.2.0...v0.3.0/\n[0.2.0]: https://github.com/mimiquate/tower_slack/compare/v0.1.0...v0.2.0/","ref":"changelog.html#changed"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}